/* variable list node */!!

inherit(Object, #CLIVarListNode, #(variable), 2, nil)!!

now(class(CLIVarListNode))!!

now(CLIVarListNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  CLICodeCompile("listVariable(self, ");
  if variable
  then
    CLICodeCompile(doubleQuoteString(CLIUtilities));
    CLICodeCompile(variable);
    CLICodeCompile(doubleQuoteString(CLIUtilities));
  else
    CLICodeCompile("nil");
  endif;
  CLICodeCompile(")) ");
}!!

Def init(self, string)
{
  variable := string;
}!!
